import { PROPS_TYPES } from 'brickd-core';
export declare function usePrevious<T>(value: any): T;
/**
 * 用于获取组件名字数组
 * @param data
 * @returns {Array}
 */
export declare function flattenDeepArray(data: any): string[];
/**
 * 格式化字段在属性配置中的路径
 * @param type
 * @param field
 * @param fatherFieldLocation
 * @param tabIndex
 * @returns {string|string}
 */
export declare const formatPropsFieldConfigLocation: (type: PROPS_TYPES, field: string, fatherFieldLocation: string, tabIndex?: number) => string;
/**
 * 过滤掉值为undefined的字段
 * @param value
 * @returns {undefined}
 */
export declare const filterProps: (value: any) => any;
/**
 * form 方法受控组件减少不必要渲染
 * @param prevProps
 * @param nextProps
 */
export declare const propsAreEqual: (prevProps: any, nextProps: any) => boolean;
